A package of Syncfusion Blazor Components.

## List of Components:
* [Accordion](https://www.syncfusion.com/blazor-components/blazor-accordion?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Context Menu](https://www.syncfusion.com/blazor-components/blazor-context-menu?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Menu Bar](https://www.syncfusion.com/blazor-components/blazor-menu-bar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Tabs](https://www.syncfusion.com/blazor-components/blazor-tabs?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Toolbar](https://www.syncfusion.com/blazor-components/blazor-toolbar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Treeview](https://www.syncfusion.com/blazor-components/blazor-treeview?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
* [Sidebar](https://www.syncfusion.com/blazor-components/blazor-sidebar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

## [Accordion](https://www.syncfusion.com/blazor-components/blazor-accordion?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

An Accordion is a vertically collapsible panel that displays one or more panels at a time within the available space.

### Key features
* **Expand mode** - Supports both single and multiple expand modes to the Accordion panels.
* **RTL** - Displays the Accordion component in the right-to-left direction.
* **Template** - Customizes each accordion pane and its header with HTML elements or Blazor UI components.

## [Context Menu](https://www.syncfusion.com/blazor-components/blazor-context-menu?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

The Blazor Context Menu component is a graphical user interface that appears on the user right click/touch hold operation.

### Key features

 * [Navigation](https://blazor.syncfusion.com/documentation/context-menu/icons-and-navigations/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget#navigation) - Supports to navigate to the other web page when menu item is clicked.
 * [Multilevel Nesting](https://blazor.syncfusion.com/documentation/context-menu/customizing-and-multilevel-nesting/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget#multilevel-nesting) - Support to create multilevel nesting context menu.
 * [Icons](https://blazor.syncfusion.com/documentation/context-menu/icons-and-navigations/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget#icons) - Supports menu item have an icon/image in it to provide visual representation of the action.

## [Menu Bar](https://www.syncfusion.com/blazor-components/blazor-menu-bar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

The Blazor Menu Bar component is a graphical user interface that serve as navigation headers for your application.

### Key features

 * [Data binding](https://blazor.syncfusion.com/documentation/menu-bar/data-source-binding-and-custom-menu-items/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) - Supports data source bindings such as data source that can be structured as Self-referential data.
 * [Template](https://blazor.syncfusion.com/documentation/menu-bar/data-source-binding-and-custom-menu-items/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget#custom-menu-bar-items) - Support to create custom user experience. Blazor Menu Bar provides template for each menu item to customize the entire Menu UI.
 * [Orientations](https://blazor.syncfusion.com/documentation/menu-bar/how-to/change-orientation/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) - Supports vertical and horizontal orientation.
 * [Icons](https://blazor.syncfusion.com/documentation/menu-bar/icons/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget#icons) - Supports menu item have an icon/image in it to provide visual representation of the action.

## [Tabs](https://www.syncfusion.com/blazor-components/blazor-tabs?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

The Tab is a content panel that shows multiple contents in a specific space, one at a time.

### Key features
* **Adaptive** - Supports both scrollable and popup modes to handle overflowing items.
* **Header orientation** - Provides support to place its header with different orientations.
* **Template** - Customizes each tab and its header with HTML elements or Blazor UI components.
* **Animation** - Configures animation effects for moving the previous or next tab.

## [Toolbar](https://www.syncfusion.com/blazor-components/blazor-toolbar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

A toolbar displays a group of command buttons arranged horizontally

### Key features
* **Scrollable** - Displays the toolbar commands in a single line with horizontal scrolling enabled when commands overflow the available space.
* **Popup** - Displays commands in a popup when the commands overflow the available space.
* **Template** - Customizes each item of the toolbar with HTML elements.
* **Keyboard interaction** - Allows accessing all the commands by using a keyboard.

## [Treeview](https://www.syncfusion.com/blazor-components/blazor-treeview?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) 
The Blazor TreeView represents hierarchical data in a tree like structure with advanced functions to edit, drag and drop, select with CheckBox and more.

### Key features
* [Data Binding](https://blazor.syncfusion.com/documentation/treeview/data-binding/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) - Supports data binding to display the tree nodes from the local or server-side data source.
* [CheckBox support](https://blazor.syncfusion.com/documentation/treeview/check-box/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) - Check more than one node in TreeView without affecting the UI appearance.
* [NodeTemplate support](https://blazor.syncfusion.com/documentation/treeview/template/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) - Customizes each node of Treeview component.
* [Drag and Drop support](https://blazor.syncfusion.com/documentation/treeview/drag-and-drop/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) - Nodes can be dragged and dropped at all levels of the same TreeView.
* [MultiSelection](https://blazor.syncfusion.com/documentation/treeview/multiple-selection/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) - Select more than one node in TreeView. To multi-select, press and hold CTRL key and click the desired nodes.
* [Editing](https://blazor.syncfusion.com/documentation/treeview/node-editing/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) - Editing all the nodes of TreeView component.
* [Accessibility](https://blazor.syncfusion.com/documentation/treeview/accessibility/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget#accessibility) - Provides built-in accessibility support that helps to access all the Treeview control features through the keyboard, on-screen readers, or other assistive technology devices.

## [Sidebar](https://www.syncfusion.com/blazor-components/blazor-sidebar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)
The Blazor Sidebar is an expandable and collapsible component that typically acts as a side container to place primary or secondary content alongside the main content.

### Key features
* [Dock](https://blazor.syncfusion.com/documentation/sidebar/docking-sidebar/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) - Dock state of the Sidebar reserves some space on the page that always remains in a visible state when the Sidebar is collapsed.
* [MediaQuery](https://blazor.syncfusion.com/documentation/sidebar/auto-close/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) - Opened or closed state corresponding to the specified resolution.
* [EnableBackDrop](https://blazor.syncfusion.com/documentation/sidebar/getting-started/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget#enable-backdrop) - Prevent the main content from user interactions.
* [Animation](https://blazor.syncfusion.com/documentation/sidebar/getting-started/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget#animate) - Different types of slide-out content in the Blazor Sidebar component give users the flexibility to view or hide content over or above the main content by pushing, sliding, or overlaying it.
* [Position](https://blazor.syncfusion.com/documentation/sidebar/how-to/multiple-sidebar/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) - Sidebars can be initialized on right side or left side of the main content using this property.
* Types - Specifies the open type of Sidebar component.

## Related links
[Learn More about Blazor UI components](https://www.syncfusion.com/blazor-components/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

[Documentation](https://blazor.syncfusion.com/documentation/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

[Release History](https://blazor.syncfusion.com/documentation/release-notes/19.2.56/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

[Online Demos](https://blazor.syncfusion.com/demos/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

[Pricing](https://www.syncfusion.com/sales/products/blazor?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)

## About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 23,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1600+ controls and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)), and desktop development ([Windows Forms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [WinUI(Preview)](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.


This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Blazor%20Navigations%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-navigations-nuget) | Toll Free: 1-888-9 DOTNET

© Copyright 2021 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.